package com.clx.performance.model.breakContract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("break_contract_settlement_driver_detail")
public class BreakContractSettlementDriverDetail  implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("breach_contract_party_type")
    @ApiModelProperty("违约方类型：1平台 2货主 3司机")
    private Integer breachContractPartyType;

    @TableField("settlement_no")
    @ApiModelProperty("结算单号")
    private String settlementNo;

    @TableField("driver_user_no")
    @ApiModelProperty("车主用户编号")
    private Long driverUserNo;

    @TableField("driver_name")
    @ApiModelProperty("车主名称")
    private String driverName;

    @TableField("child_no")
    @ApiModelProperty("运单编号")
    private String childNo;

    @TableField("figure")
    @ApiModelProperty("违约金（分）")
    private BigDecimal figure;

    @TableField("breach_contract_remark")
    @ApiModelProperty("违约原因")
    private String breachContractRemark;

    @TableField("status")
    @ApiModelProperty("状态")
    private Integer status;

    @TableField("create_type")
    @ApiModelProperty("操作人类型1-货主， 2-承运端，3-司机")
    private Integer createType;

    @TableField("create_by")
    @ApiModelProperty("操作人编号")
    private Long createBy;

    @TableField("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @TableField("modified_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime modifiedTime;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
    return this.id;
    }
}
