package com.clx.performance.model.breakContract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("break_contract_settlement_owner_detail")
public class BreakContractSettlementOwnerDetail  implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("breach_contract_type")
    @ApiModelProperty("违约类型：1司机违约 2平台违约")
    private Integer breachContractType;

    @TableField("settlement_no")
    @ApiModelProperty("结算单号")
    private String settlementNo;

    @TableField("owner_user_no")
    @ApiModelProperty("货主用户编号")
    private Long ownerUserNo;

    @TableField("owner_name")
    @ApiModelProperty("货主名称")
    private String ownerName;

    @TableField("order_no")
    @ApiModelProperty("订单编号")
    private String orderNo;

    @TableField("figure")
    @ApiModelProperty("违约金（分）")
    private BigDecimal figure;

    @TableField("breach_contract_remark")
    @ApiModelProperty("违约原因")
    private String breachContractRemark;

    @TableField("status")
    @ApiModelProperty("状态")
    private Integer status;

    @TableField("create_type")
    @ApiModelProperty("操作人类型1-货主， 2-承运端，3-司机")
    private Integer createType;

    @TableField("create_by")
    @ApiModelProperty("操作人编号")
    private Long createBy;

    @TableField("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @TableField("modified_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime modifiedTime;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
    return this.id;
    }
}
